## gdb 7.9

=== debian/changelog ===
gdb (7.9-1ubuntu1) vivid; urgency=medium

  * Merge in the Debian packaging changes for 7.9.
  * Remaining changes:
    - Keep building the gdb64 package.
    - Build from the upstream sources.
    - Build the gdb-doc package.
    - Include the man pages in the gdb package.
    - Build-depend on gcj-jdk.
    - Drop build dependency on python-dev.
    - Additional patches branch-updates, gdb-strings, ptrace-error-verbosity,
      ppc64el-gdbserver, ppc64el-attach-jvm.
    - Don't build a gdb-python2 package.
    - Configure with babeltrace on ppc64 and ppc64el.
    - gdb: Add a replaces to gdb-doc, which used to ship the manual pages.
    - Again, stop building the gdb-minimal package, not used anymore on any
      image.
    - Add build dependencies for the gdb-doc package.
    - Make gdb Multi-Arch: allowed again.
  * gdb: Suggest libcc1-0 (should really be a recommends, but it is
    still in universe, same as the needed gcc-5/gccgo-5).
  * Don't look for the libcc1.so symlink, but for the real library name.
  * Fix the regexp for searching the compiler, so that it recognizes
    triplets as well.
  * Update to the 7.9 branch 20150321.
    - Fix undefined behavior in TUI's TAB expansion.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2015 17:07:37 +0100

gdb (7.9-1) experimental; urgency=medium

  * Imported Upstream version 7.9
    - GDB 7.9 brings new targets, features and improvements, including:
      + Many improvements in GDB's Python scripting API.
      + Compilation and injection of source code into the inferior
        (requires GCC 5.0 or higher built with libcc1.so).
      + On resume, GDB now always passes the signal the program had stopped
        for to the thread the signal was sent to, even if the user changed
        threads before resuming.  Previously GDB would often (but not
        always) deliver the signal to the thread that happens to be current
        at resume time.
      + Conversely, the "signal" command now consistently delivers the
        requested signal to the current thread.  GDB now asks for
        confirmation if the program had stopped for a signal and the user
        switched threads meanwhile.
      + Hardware watchpoint support on x86 GNU Hurd.
      + New target: MIPS SDE, mips*-sde*-elf*
      + New commands:
        - add-auto-load-scripts-directory directory
        - compile code [-r|-raw] [--] [source code]
        - compile file [-r|-raw] filename
        - demangle [-l language] [--] name
        - maint print user-registers
        - queue-signal signal-name-or-number
      + New options
        - set debug symbol-lookup
        - show debug symbol-lookup
      + MI changes
        - New exit-code field in -list-thread-groups command output
      + Support for these obsolete configurations has been removed.
        - Alpha running OSF/1 (or Tru64)          alpha*-*-osf*
        - SGI Irix-5.x                            mips-*-irix5*
        - SGI Irix-6.x                            mips-*-irix6*
        - VAX running (4.2 - 4.3 Reno) BSD        vax-*-bsd*
        - VAX running Ultrix                      vax-*-ultrix*
      + The "dll-symbols" command, and its two aliases
        ("add-shared-symbol-files" and "assf"), have been removed.
        Use the "sharedlibrary" command, or its alias "share", instead.
  * d/README.python_switch: fix typo. (Closes: #761688)
  * Replace gdb64 packages by gdb multiarch. (Closes: #775948)

 -- Hector Oron <zumbi@debian.org>  Thu, 19 Mar 2015 13:18:58 +0100

gdb (7.9-0ubuntu1) vivid; urgency=medium

  * GDB 7.9 release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2015 22:27:54 +0100

gdb (7.8.2-0ubuntu1) vivid; urgency=medium

  * GDB 7.8.2 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Jan 2015 20:34:21 +0100

gdb (7.8.1-1ubuntu2) vivid; urgency=medium

  * Fix PR ld/17677, performance regression compared to 7.7.
    LP: #1388999.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Dec 2014 10:25:17 +0100

gdb (7.8.1-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream sources.
    - Build the gdb-doc package.
    - Include the man pages in the gdb package.
    - Build-depend on gcj-jdk.
    - Drop build dependency on python-dev.
    - Additional patches branch-updates, gdb-strings, ptrace-error-verbosity,
      ppc64el-gdbserver, ppc64el-attach-jvm.
    - Don't build a gdb-python2 package.
    - Configure with babeltrace on ppc64 and ppc64el.
    - gdb: Add a replaces to gdb-doc, which used to ship the manual pages.
    - Again, stop building the gdb-minimal package, not used anymore on any
      image.
    - Add build dependencies for the gdb-doc package.
    - Make gdb Multi-Arch: allowed again.
  * Upstream fixes LP: #1348275.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Nov 2014 09:28:37 +0100

gdb (7.8.1-1) experimental; urgency=medium

  * Imported Upstream version 7.8.1
    - GDB 7.8.1 provides the following fixes and improvements over GDB 7.8:
      + PR python/17364 (Need better printer names in bound_registers.py)
      + PR build/17104 (CFLAGS="-Wall -Wextra" gdb/confgure --with-babeltrace
        fails)
      + PR gdb/17345 (babeltrace (1.1.2 and later) complains about the ctf
        data generated by GDB)
      + PR build/17298 (gcore: Couldn't get registers: No such process)
      + PR python/17342 (Xmethod Python is not Python 3 compatible)
      + PR python/17355 (Crash on Python frame filters with unreadable arg)
      + PR guile/17367 (computation of guild path wrong when pkg-config script
        supplied as arg to --with-guile)
      + PR gdb/17247 (gdb freezes on multi threaded app)
      + PR gdb/17347 (Regression: GDB stopped on run with attached process)
      + PR gdb/17407 (Regression for Linux vDSO reading)
      + PR server/17457 (aarch64/gdbserver: wrong floating point registers
        display)
      + PR server/17487 (state->dr_control_mirror == 0 failed assertion in
        gdbserver on Windows)

