## gdb 7.10

=== debian/changelog ===
gdb (7.10-1) unstable; urgency=medium

  * Imported Upstream version 7.10:
    - Improved support for accessing shared libraries directly from
      the target system when debugging remotely.
    - Various Guile and Python scripting improvements, including (but not
      limited to):
      + Support for auto-loading Python/Guile scripts contained
        in a special section named `.debug_gdb_scripts'.
      + Support for writing a frame unwinder in Python.
    - Support for record-replay and reverse debugging on Aarch64 Linux.
    - GDB now has support for fork events on extended-remote Linux targets
      (Linux kernels 2.5.60 and later).
    - Support for DTrace USDT (Userland Static Defined Tracing) probes
      on x86_64 GNU/Linux targets.
    - Vector ABI support on S/390 GNU/Linux targets.
    - GDB now reads the GDBHISTSIZE environment variable rather than
      HISTSIZE to determine the size of GDB's command history.
    - Support for setting the parity when connecting to the target
      using a serial interface.
    - It is now possible to limit the number of candidates to be
      considered during completion.
    - Support for Sun's version of the "stabs" debug file format
      has been removed.
    - Support for the following targets and native configurations has
      been removed:
      + HP/PA running HP-UX (hppa*-*-hpux*)
      + Itanium running HP-UX (ia64-*-hpux*)
  * d/control: make more explicit gdb-python2 is linked with python2.
    (Closes: #761421)
  * Drop libgdb-dev postinst. Not needed anymore.
  * d/rules: configure with --with-system-zlib all targets
  * sanitize: drop chm embedded files
  * d/control.in,rules: attempt to manage python files (*.pyc) with cdbs
    (Closes: #786384)

 -- Hector Oron <zumbi@debian.org>  Wed, 02 Sep 2015 04:04:33 +0200

gdb (7.9.1-1) unstable; urgency=medium

  * Imported Upstream version 7.9.1:
    - This is a minor corrective release over GDB 7.9, fixing the following issues:
      + PR build/18033 (C++ style comment used in gdb/iq2000-tdep.c and gdb/compile/compile-*.c)
      + PR build/18298 ("compile" command cannot find compiler if tools configured with triplet instead of quadruplet)
      + PR tui/18311 (Random SEGV when displaying registers in TUI mode)
      + PR python/18299 (exception when registering a global pretty-printer in verbose mode)
      + PR python/18066 (argument "word" seems broken in Command.complete (text, word))
      + PR pascal/17815 (Fix pascal behavior for class fields with testcase)
      + PR python/18285 (ptype expr-with-xmethod causes SEGV)
  * d/p/load-versioned-libcc1.patch:
    - load libcc1.so.0 instead unversioned file.
  * d/p/Segmentation-fault-on-add-symbol-file-command.patch:
    - fix: segfault on add-symbol-file
  * d/patches: refresh

 -- Hector Oron <zumbi@debian.org>  Wed, 19 Aug 2015 21:27:17 +0200

gdb (7.8.2-1) experimental; urgency=medium

  * Imported Upstream version 7.8.2
    - This is a minor corrective release over GDB 7.8.1, fixing the following issues:
      + PR symtab/17642 ([7.8 regression] internal-error: resolve_dynamic_struct: Assertion `TYPE_NFIELDS (type) > 0' failed.)
      + PR binutils/17677 (_bfd_elf_get_synthetic_symtab runs in O(n^2) complexity)
      + PR gdb/16215 (SPARC: can't compute CFA for this frame)
      + PR gdb/17525 (target-async: breakpoint commands not executed when program run from -x script)
      + PR cli/17828 ([7.8 regression] -batch -ex r breaks terminal) 
  * d/{control*,gdb64*,rules}: drop gdb64 support.

 -- Hector Oron <zumbi@debian.org>  Thu, 22 Jan 2015 02:24:52 +0100
