=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: gdb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
 Section: devel
 Priority: optional
 Standards-Version: 3.9.6
 Build-Depends:
 # Packaging deps
-               cdbs (>= 0.4.17),
+               cdbs (>= 0.4.90),
                debhelper (>= 9),
                lsb-release,
                bzip2,
@@ -19,41 +18,40 @@
                dejagnu,
                flex | flex-old,
                procps,
-               g++-multilib [i386 powerpc s390 sparc],
-               gcj-jdk,
+# Do we really care that much about running the Java tests?
+#               gcj-jdk | gcj,
                gobjc,
-#               gccgo,
                mig [hurd-any],
 # TeX[info] deps
                texinfo (>= 4.7-2.2),
                texlive-base,
 # Libdev deps
-               libexpat1-dev, lib64expat1-dev [i386 powerpc s390 sparc],
-               libncurses5-dev, lib64ncurses5-dev [i386 powerpc s390 sparc],
-               libreadline-dev, lib64readline6-dev [i386 powerpc s390 sparc],
+               libexpat1-dev,
+               libncurses5-dev,
+               libreadline-dev,
                zlib1g-dev,
                liblzma-dev,
-               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
-               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
+               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x],
+               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x],
+               python-dev,
+# Python3 build
                python3-dev,
                libkvm-dev [kfreebsd-any],
                libunwind7-dev [ia64],
-# gdb-doc
-               texlive-latex-base, texlive-fonts-recommended, cm-super,
 Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb.git
 Homepage: http://www.gnu.org/s/gdb/
 
 Package: gdb
 Architecture: any
-Multi-Arch: allowed
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${python3:Depends}
 Recommends: libc-dbg,
             gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
-Suggests: gdb-doc, libcc1-0
+Suggests: gdb-doc
 Conflicts: gdb
-Replaces: gdb, gdb-doc (<< 7.8-1~)
+Replaces: gdb
 Description: GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
@@ -61,19 +59,38 @@
  Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
  Go, and Ada. A must-have for any serious programmer.
 
-Package: gdb64
-Architecture: i386 powerpc s390 sparc
-Replaces: gdb-multiarch (<< 7.6-1)
-Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: GNU Debugger (64-bit)
+Package: gdb-python2
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: libc-dbg,
+            gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
+Suggests: gdb-doc
+Provides: gdb
+Conflicts: gdb
+Replaces: gdb
+Description: GNU Debugger (linked against python2)
+ GDB is a source-level debugger, capable of breaking programs at
+ any specific line, displaying variable values, and determining
+ where errors occurred. Currently, gdb supports C, C++, D,
+ Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
+ Go, and Ada. A must-have for any serious programmer.
+
+Package: gdb-minimal
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: gdb
+Conflicts: gdb
+Replaces: gdb
+Description: GNU Debugger (minimal version)
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
  where errors occurred. Currently, gdb supports C, C++, D,
  Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
  Go, and Ada. A must-have for any serious programmer.
  .
- This package contains a version of GDB compiled for a 64-bit variant
- of its architecture.
+ This package contains a minimal version of GDB with optional features
+ disabled.
 
 Package: gdb-multiarch
 Architecture: any
@@ -129,18 +146,3 @@
  .
  This package contains the detached debugging symbols for the GNU
  GDB.
-
-Package: gdb-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
-Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
-Description: The GNU Debugger Documentation
- GDB is a source-level debugger, capable of breaking programs at
- any specific line, displaying variable values, and determining
- where errors occurred. Currently, it works for C, C++, Fortran,
- Modula 2 and Java programs. A must-have for any serious
- programmer.
- .
- This package contains the GDB manual.
