=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 # This implements building using a configure script and Makefile.
-include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/class/python-autotools.mk
 
 # The top-level configure script fails to pass these down properly ...
 export CPPFLAGS
@@ -66,31 +66,13 @@
   TP = $(DEB_TARGET_ALIAS)-
   TS = -$(DEB_TARGET_ALIAS)
   CROSS_FORCE = FORCE
-else
-ifneq (,$(filter $(DEB_HOST_ARCH),i386 powerpc sparc s390))
-  build64 = yes
-  CC64 = gcc -m64
-  CFLAGS64 = $(CFLAGS)
-  BUILDDIR64 = $(ALL_BUILDDIR)/objdir64
-  ifeq ($(DEB_HOST_ARCH),i386)
-    HOST64 = x86_64-linux-gnu
-  endif
-  ifeq ($(DEB_HOST_ARCH),powerpc)
-    HOST64 = powerpc64-linux-gnu
-  endif
-  ifeq ($(DEB_HOST_ARCH),sparc)
-    HOST64 = sparc64-linux-gnu
-  endif
-  ifeq ($(DEB_HOST_ARCH),s390)
-    HOST64 = s390x-linux-gnu
-  endif
-endif
 endif
 
 distribution := $(shell lsb_release -is)
 deb_version := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
 
 BUILDDIRMULTIARCH = $(ALL_BUILDDIR)/objdir-multiarch
+BUILDDIRPYTHON2 = $(ALL_BUILDDIR)/objdir-python2
 
 run_tests := yes
 
@@ -130,18 +112,14 @@
 	--with-pkgversion='$(distribution) $(deb_version)' \
 	--srcdir=$(shell pwd) \
 	--disable-readline --with-system-readline --with-expat \
-	--without-zlib --without-lzma \
+	--with-system-zlib --without-lzma \
 	--without-guile --without-babeltrace \
 	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)
 
 # Debian does not include 64-bit Python packages, so --with-python
 # is here rather than in EXTRA_FLAGS.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--enable-tui --with-zlib --with-lzma --with-python=python3
-
-# 64-bit flags
-DEB_CONFIGURE_FLAGS_64 := --host=$(HOST64) $(EXTRA_FLAGS) \
-	--enable-tui --without-babeltrace
+	--enable-tui --with-lzma --with-python=python3
 
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
@@ -165,6 +143,7 @@
 	powerpc-linux-gnuspe \
 	powerpc64le-linux-gnu \
 	powerpc64-linux-gnu \
+	ppc64-linux-gnu \
 	s390-linux-gnu \
 	s390x-linux-gnu \
 	sh-linux-gnu \
@@ -172,7 +151,8 @@
 	sparc-linux-gnu \
 	sparc64-linux-gnu \
 	x86_64-linux-gnu \
-	m32r-linux-gnu
+	m32r-linux-gnu \
+	spu
 
 # broken, see https://launchpad.net/bugs/1233185
 #MULTIARCH_TARGETS := all
@@ -187,6 +167,9 @@
 DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
 	--disable-tui --without-python --without-babeltrace
 
+DEB_CONFIGURE_FLAGS_PYTHON2 := $(DEB_CONFIGURE_EXTRA_FLAGS) \
+	--with-python=python2
+
 # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
 COMMA = ,
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
@@ -204,15 +187,12 @@
 	$(MAKE) -C $(DEB_BUILDDIR) info
 	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps
 
-build/gdb-doc:: check-stamp
-	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc pdf html
-
-build/gdb64:: build64-stamp
-build64-stamp:
-	mkdir -p $(BUILDDIR64)
-	cd $(BUILDDIR64) && CC="$(CC64)" CFLAGS="$(CFLAGS64)" AR=ar \
-	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_64)
-	cd $(BUILDDIR64) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
+build/gdb-python2$(TS):: build-python2-stamp
+build-python2-stamp:
+	mkdir -p $(BUILDDIRPYTHON2)
+	cd $(BUILDDIRPYTHON2) && CFLAGS="$(CFLAGS)" \
+	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_PYTHON2)
+	cd $(BUILDDIRPYTHON2) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
 	touch $@
 
 build/gdb-multiarch:: build-multiarch-stamp
@@ -239,7 +219,7 @@
 	touch $@
 
 clean::
-	rm -f check-stamp build64-stamp build-multiarch-stamp
+	rm -f check-stamp build-multiarch-stamp
 	rm -rf $(ALL_BUILDDIR)
 
 	if test -f gdb/version.in.backup; then \
@@ -255,3 +235,16 @@
 	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
 
 binary-post-install/gdb$(TS) ::
+	if [ -x debian/tmp/usr/bin/run ]; then				\
+		mv debian/tmp/usr/bin/run					\
+		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run;		\
+		mv debian/tmp/usr/share/man/man1/run.1			\
+		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1;	\
+	fi
+ifeq ($(run_tests),yes)
+	install -d debian/gdb$(TS)/usr/share/doc/gdb
+	install -m 644 $(DEB_BUILDDIR)/gdb/testsuite/gdb.sum \
+		debian/gdb$(TS)/usr/share/doc/gdb/check.log
+endif
+
+binary-post-install/gdb-python2$(TS) ::
